(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    189216,       4435]
NotebookOptionsPosition[    179039,       4139]
NotebookOutlinePosition[    179498,       4156]
CellTagsIndexPosition[    179455,       4153]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Detailed\[NonBreakingSpace]balance\[NonBreakingSpace]in\[NonBreakingSpace]the\
\[NonBreakingSpace]models\[NonBreakingSpace]of\[NonBreakingSpace]chirality\
\>", "Title",
 CellChangeTimes->{
  3.493973078753298*^9, {3.5003043919265833`*^9, 3.5003043964568424`*^9}, 
   3.500304450650942*^9, {3.5003044889271317`*^9, 3.500304556651005*^9}}],

Cell[TextData[{
 "(Investigating\[NonBreakingSpace]the\[NonBreakingSpace]dynamics\
\[NonBreakingSpace]of\[NonBreakingSpace]biological\[NonBreakingSpace]models\
\[NonBreakingSpace]using\[NonBreakingSpace]the\[NonBreakingSpace]",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " package\[NonBreakingSpace]ReactionKinetics.m)\[NonBreakingSpace]"
}], "Subtitle",
 CellChangeTimes->{
  3.493973078753298*^9, {3.5003043919265833`*^9, 3.5003043964568424`*^9}, 
   3.500304450650942*^9, {3.5003044889271317`*^9, 3.5003045591751494`*^9}}],

Cell["T\[OAcute]th, J. (jtoth@math.bme.hu)", "Subsubtitle",
 CellChangeTimes->{{3.500304719458317*^9, 3.5003047473569126`*^9}, {
  3.500304789568327*^9, 3.5003048656696796`*^9}}],

Cell["\<\
Department of Analysis, 
Budapest University of Technology and Economics, 
and 
Laboratory for Chemical Kinetics, 
E\[ODoubleDot]tv\[ODoubleDot]s Lor\[AAcute]nd University, \
\>", "Text",
 CellChangeTimes->{{3.500304719458317*^9, 3.5003047473569126`*^9}, {
  3.500304789568327*^9, 3.50030487442218*^9}}],

Cell["based upon joint work with ", "Text",
 CellChangeTimes->{{3.500304719458317*^9, 3.500304777182619*^9}}],

Cell[CellGroupData[{

Cell["Nagy, A. L. (BUTE), Papp, D. (Rutgers)", "Subsubtitle",
 CellChangeTimes->{{3.5003048836897106`*^9, 3.5003048989225817`*^9}, {
  3.5003049623432093`*^9, 3.5003049684145565`*^9}}],

Cell[TextData[{
 "Starting\[NonBreakingSpace]from\[NonBreakingSpace]a\[NonBreakingSpace]\
special\[NonBreakingSpace]model\[NonBreakingSpace]of\[NonBreakingSpace]\
chirality\[NonBreakingSpace]we\[NonBreakingSpace]show\[NonBreakingSpace]how\
\[NonBreakingSpace]the\[NonBreakingSpace]mathematical\[NonBreakingSpace]\
theory\[NonBreakingSpace]of\[NonBreakingSpace]formal\[NonBreakingSpace]\
reaction\[NonBreakingSpace]\nkinetics\[NonBreakingSpace] and\
\[NonBreakingSpace] the\[NonBreakingSpace] program\[NonBreakingSpace] package\
\[NonBreakingSpace] based\[NonBreakingSpace] on\[NonBreakingSpace] it\
\[NonBreakingSpace] can\[NonBreakingSpace] be\[NonBreakingSpace] utilized\
\[NonBreakingSpace] when\[NonBreakingSpace] analyzing\[NonBreakingSpace] the\
\[NonBreakingSpace] variations\[NonBreakingSpace] of\[NonBreakingSpace]\n\
models.\[NonBreakingSpace]The\[NonBreakingSpace]speciality\[NonBreakingSpace]\
of\[NonBreakingSpace]the\[NonBreakingSpace]package\[NonBreakingSpace]is\
\[NonBreakingSpace]that\[NonBreakingSpace]it\[NonBreakingSpace]highly\
\[NonBreakingSpace]utilizes\[NonBreakingSpace]the\[NonBreakingSpace]\
advantages\[NonBreakingSpace]of\[NonBreakingSpace]",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ",\[NonBreakingSpace]\[NonBreakingSpace]\n\[Bullet]    \
it\[NonBreakingSpace]automatically\[NonBreakingSpace]writes\[NonBreakingSpace]\
down\[NonBreakingSpace]and\[NonBreakingSpace]numerically\[NonBreakingSpace]\
solves\[NonBreakingSpace]the\[NonBreakingSpace]kinetic\[NonBreakingSpace]\
differential\[NonBreakingSpace]equation,\[NonBreakingSpace]\[NonBreakingSpace]\
\n\[Bullet]    it\[NonBreakingSpace]can\[NonBreakingSpace]also\
\[NonBreakingSpace]simulate\[NonBreakingSpace]the\[NonBreakingSpace]usual\
\[NonBreakingSpace]stochastic\[NonBreakingSpace]model,\[NonBreakingSpace]\
\[NonBreakingSpace]\[NonBreakingSpace]\n\[Bullet]    it\[NonBreakingSpace] \
calculates\[NonBreakingSpace] the\[NonBreakingSpace] graph\[Hyphen]theoretic\
\[NonBreakingSpace] and\[NonBreakingSpace] linear\[NonBreakingSpace] \
algebraic\[NonBreakingSpace] quantities\[NonBreakingSpace] which\
\[NonBreakingSpace] allow\[NonBreakingSpace] to\[NonBreakingSpace] deduce\
\[NonBreakingSpace]\nstatements\[NonBreakingSpace]on\[NonBreakingSpace]the\
\[NonBreakingSpace]qualitative\[NonBreakingSpace]behavior\[NonBreakingSpace]\
of\[NonBreakingSpace]the\[NonBreakingSpace]concentration\[NonBreakingSpace]of\
\[NonBreakingSpace]the\[NonBreakingSpace]different\[NonBreakingSpace]species.\
\[NonBreakingSpace]"
}], "Text",
 CellChangeTimes->{
  3.5003044821647444`*^9, 3.5003045776522064`*^9, {3.5003051543851933`*^9, 
   3.500305155439254*^9}, 3.5003052484585743`*^9}],

Cell[CellGroupData[{

Cell["Chirality", "Section",
 CellChangeTimes->{{3.5003095421831613`*^9, 3.5003095594301476`*^9}}],

Cell["\<\
Amino acids, sugars exist in two forms, only one of them occur in biology.\
\>", "Text",
 CellChangeTimes->{{3.5003117520545588`*^9, 3.5003117745678463`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzlvT9o3Nq3Nhz4bnGKW5ziFilu8Qvc4gROcQKnOIY0MZwiAykykCIDKfIO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    "], {{0, 136}, {200, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag[
   "Byte", ColorSpace -> "RGB", ImageSize -> Automatic, Interleaving -> True, 
    Magnification -> Automatic],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{200, 136},
  PlotRange->{{0, 200}, {0, 136}}]], "Input"],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztm1Gu3DYMRQ1kJd1Sl5ANdJPdVL+mCQoI7siiKIqSJeocIMALx76iLu/Y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    "], {{0, 196}, {249, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag[
   "Byte", ColorSpace -> "RGB", ImageSize -> Automatic, Interleaving -> True, 
    Magnification -> Automatic],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{249, 196},
  PlotRange->{{0, 249}, {0, 196}}]], "Input"],

Cell[TextData[{
 "What is the reason of the present asymmetry? \nNo answer, some tools. \n\
Under cover of chirality I am going to speak about reaction kinetic ",
 StyleBox["models",
  FontWeight->"Bold"],
 " and ",
 StyleBox["Mathematica ",
  FontSlant->"Italic"],
 StyleBox["calculations.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.500311802641452*^9, 3.500311828800948*^9}, {
  3.500312166510264*^9, 3.5003121976520452`*^9}, {3.5003126172590456`*^9, 
  3.500312640826393*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Graph-theoretic and linear algebraic methods in stoichiometry\
\>", "Section",
 CellChangeTimes->{{3.5003051868360496`*^9, 3.500305212583522*^9}, {
  3.500305291797053*^9, 3.5003053257719965`*^9}}],

Cell[CellGroupData[{

Cell["Examples", "Subsection",
 CellChangeTimes->{{3.500310104352315*^9, 3.5003101055833855`*^9}}],

Cell[CellGroupData[{

Cell["\<\
Birth-and-death (Malthusian growth with emigration; first order autocatalysis \
with outflow)\
\>", "Subsubsection",
 CellChangeTimes->{{3.470160819269885*^9, 3.4701608354631696`*^9}, 
   3.470160936848955*^9, {3.4717552147744827`*^9, 3.471755265527438*^9}, {
   3.4718510542102337`*^9, 3.471851073689475*^9}, {3.5003101146339035`*^9, 
   3.50031014534266*^9}, {3.5003101986227074`*^9, 3.500310220733972*^9}}],

Cell[BoxData[
 RowBox[{"X", "\[Rule]", 
  RowBox[{
   RowBox[{"2", "X", "   ", "X"}], "\[Rule]", 
   "0"}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.4648994201787825`*^9, 3.464899433758309*^9}, {
  3.464899476019077*^9, 3.464899632103515*^9}, {3.4649037835930643`*^9, 
  3.4649038170611887`*^9}, {3.4649097452755423`*^9, 3.464909931032648*^9}, {
  3.4701608562931213`*^9, 3.4701608581558*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"M", "=", "1"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  StyleBox[
   RowBox[{"R", "=", "2"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Alpha]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "1"}
     }], "\[NoBreak]", ")"}]}], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Beta]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"2", "0"}
     }], "\[NoBreak]", ")"}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.4648994201787825`*^9, 3.464899433758309*^9}, {
  3.464899476019077*^9, 3.464899632103515*^9}, {3.4649037835930643`*^9, 
  3.4649038170611887`*^9}, {3.4649097452755423`*^9, 3.4649099505507135`*^9}, {
  3.464909998379488*^9, 3.464910076401678*^9}, {3.4701608652059374`*^9, 
  3.4701609097900467`*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["x", "'"], "=", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "1"], " ", "x"}], "-", 
   RowBox[{
    SubscriptBox["k", "2"], " ", "x", "   "}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.4648994201787825`*^9, 3.464899433758309*^9}, {
  3.464899476019077*^9, 3.464899632103515*^9}, {3.4649037835930643`*^9, 
  3.4649038170611887`*^9}, {3.4649097452755423`*^9, 3.464909922640581*^9}, {
  3.470160923820221*^9, 3.470160932062072*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Frank1, original, with symmetry ", "Subsubsection",
 CellChangeTimes->{{3.4649051655402064`*^9, 3.4649051712784576`*^9}, {
  3.47029239843501*^9, 3.47029240501447*^9}, {3.471755302708847*^9, 
  3.471755317918625*^9}, {3.471851096838463*^9, 3.471851108648235*^9}, {
  3.492583131686092*^9, 3.492583138889504*^9}, {3.4925833037999363`*^9, 
  3.4925833119664035`*^9}}],

Cell[BoxData[
 RowBox[{"R", "\[Rule]", 
  RowBox[{
   RowBox[{"2", "R", "     ", "S"}], "\[Rule]", 
   RowBox[{
    RowBox[{
     RowBox[{"2", "S", "     ", "R"}], "+", "S"}], "\[Rule]", "0", 
    "   "}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.4649114294472623`*^9, {3.464911465749462*^9, 3.4649115154208865`*^9}, {
   3.4925831521642632`*^9, 3.4925831881273203`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"M", "=", "2"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  StyleBox[
   RowBox[{"R", "=", "3"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Alpha]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "1"},
      {"0", "1", "1"}
     }], "\[NoBreak]", ")"}]}], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Beta]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"2", "0", "0"},
      {"0", "2", "0"}
     }], "\[NoBreak]", ")"}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.4648994201787825`*^9, 3.464899433758309*^9}, {
  3.464899476019077*^9, 3.464899632103515*^9}, {3.4649037835930643`*^9, 
  3.4649038170611887`*^9}, {3.4649097452755423`*^9, 3.4649099505507135`*^9}, {
  3.464909998379488*^9, 3.464910076401678*^9}, {3.4701608652059374`*^9, 
  3.4701609097900467`*^9}, {3.492583331749535*^9, 3.492583334945718*^9}, {
  3.492583374661989*^9, 3.492583424709852*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "'"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["k", "1"], "-", 
      RowBox[{
       SubscriptBox["k", "2"], "s"}]}], ")"}], "r", "     ", 
    RowBox[{"s", "'"}]}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["k", "1"], "-", 
      RowBox[{
       SubscriptBox["k", "2"], "r"}]}], ")"}], 
    "s"}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.4649114294472623`*^9, {3.464911465749462*^9, 3.4649115154208865`*^9}, {
   3.471850576923435*^9, 3.4718506482623844`*^9}, {3.492583252045976*^9, 
   3.4925832881450405`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Frank2, original, with symmetry, external species, and ! ", \
"Subsubsection",
 CellChangeTimes->{{3.4649051655402064`*^9, 3.4649051712784576`*^9}, {
  3.47029239843501*^9, 3.47029240501447*^9}, {3.471755302708847*^9, 
  3.471755317918625*^9}, {3.471851096838463*^9, 3.471851108648235*^9}, {
  3.492583131686092*^9, 3.492583138889504*^9}, {3.4925833037999363`*^9, 
  3.4925833119664035`*^9}, {3.492583485809347*^9, 3.4925834861753674`*^9}, {
  3.492583733205497*^9, 3.4925837420770044`*^9}, {3.492584052749774*^9, 
  3.4925840582880907`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
   RowBox[{
    RowBox[{"2", "R", "     ", "A"}], "+", "S"}], "\[Equilibrium]", 
   RowBox[{
    RowBox[{"2", "S", "     ", "R"}], "+", "S"}]}], "\[Rule]", "B", 
  "   "}]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.4649114294472623`*^9, {3.464911465749462*^9, 3.4649115154208865`*^9}, {
   3.4925831521642632`*^9, 3.4925831881273203`*^9}, {3.4925836657986417`*^9, 
   3.4925836750831723`*^9}, {3.492584062055306*^9, 3.492584075471073*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"M", "=", "2"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  StyleBox[
   RowBox[{"R", "=", "3"}],
   FontWeight->"Plain"], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Alpha]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "0", "1"},
      {"0", "1", "1"}
     }], "\[NoBreak]", ")"}]}], 
  StyleBox[",",
   FontWeight->"Plain"], 
  RowBox[{
   StyleBox["\[Beta]",
    FontWeight->"Bold"], 
   StyleBox["=",
    FontWeight->"Bold"], 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"2", "0", "0"},
      {"0", "2", "0"}
     }], "\[NoBreak]", ")"}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.4648994201787825`*^9, 3.464899433758309*^9}, {
  3.464899476019077*^9, 3.464899632103515*^9}, {3.4649037835930643`*^9, 
  3.4649038170611887`*^9}, {3.4649097452755423`*^9, 3.4649099505507135`*^9}, {
  3.464909998379488*^9, 3.464910076401678*^9}, {3.4701608652059374`*^9, 
  3.4701609097900467`*^9}, {3.492583331749535*^9, 3.492583334945718*^9}, {
  3.492583374661989*^9, 3.492583424709852*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "'"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["k", "1"], "a"}], "-", 
      RowBox[{
       SubscriptBox["k", "2"], 
       RowBox[{"(", 
        RowBox[{"r", "+", "s"}], ")"}]}]}], ")"}], "r", "     ", 
    RowBox[{"s", "'"}]}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SubscriptBox["k", "1"], "a"}], "-", 
      RowBox[{
       SubscriptBox["k", "2"], 
       RowBox[{"(", 
        RowBox[{"r", "+", "s"}], ")"}]}]}], ")"}], 
    "s"}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{
  3.4649114294472623`*^9, {3.464911465749462*^9, 3.4649115154208865`*^9}, {
   3.471850576923435*^9, 3.4718506482623844`*^9}, {3.492583252045976*^9, 
   3.4925832881450405`*^9}, {3.4925834996701393`*^9, 
   3.4925835152280293`*^9}, {3.492584090236918*^9, 3.492584099066423*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["General formulation", "Subsection",
 CellChangeTimes->{{3.4717575779515896`*^9, 3.471757585414427*^9}, {
  3.4718511155991793`*^9, 3.471851120300829*^9}, {3.4925815839672136`*^9, 
  3.492581584438863*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"r", "=", "1"}], "R"], 
   RowBox[{"\[Alpha]", 
    StyleBox[
     RowBox[{"(", 
      RowBox[{"m", ",", "r"}], ")"}],
     FontWeight->"Plain"], 
    StyleBox["X",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", "m", ")"}],
     FontWeight->"Plain"]}]}], "\[Rule]", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"r", "=", "1"}], "R"], 
   RowBox[{"\[Beta]", 
    StyleBox[
     RowBox[{"(", 
      RowBox[{"m", ",", "r"}], ")"}],
     FontWeight->"Plain"], 
    StyleBox["X",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", "m", ")"}],
     FontWeight->"Plain"], 
    StyleBox["     ",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"r", "=", "1"}], ",", "2", ",", "...", ",", "R"}], ")"}],
     FontWeight->"Plain"]}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.470830409234375*^9, 3.47083048590625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SubsuperscriptBox["c", "m", "'"], 
    RowBox[{"(", "t", ")"}]}], "=", 
   RowBox[{
    RowBox[{
     SubscriptBox["f", "m"], 
     RowBox[{"(", 
      RowBox[{
       StyleBox["c",
        FontWeight->"Bold"], 
       RowBox[{"(", "t", ")"}]}], ")"}]}], 
    StyleBox[":=",
     FontWeight->"Bold"], 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"r", "=", "1"}], "R"], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Beta]", 
         StyleBox[
          RowBox[{"(", 
           RowBox[{"m", ",", "r"}], ")"}],
          FontWeight->"Plain"]}], 
        StyleBox["-",
         FontWeight->"Plain"], 
        StyleBox[
         RowBox[{"\[Alpha]", 
          RowBox[{"(", 
           RowBox[{"m", ",", "r"}], ")"}]}],
         FontWeight->"Plain"]}], ")"}], 
      SubscriptBox["w", "r"], 
      RowBox[{"(", 
       RowBox[{
        StyleBox["c",
         FontWeight->"Bold"], 
        RowBox[{"(", "t", ")"}]}], ")"}]}]}]}]}], 
  "     "}], "\[IndentingNewLine]", 
 RowBox[{"\t\t\t\t\t\t\t\t", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"m", "=", "1"}], ",", "2", ",", "...", ",", "M"}], 
   ")"}]}]}], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.47083055621875*^9, 3.470830709734375*^9}, {
  3.470831246875*^9, 3.470831272703125*^9}}],

Cell["where", "Text",
 CellChangeTimes->{{3.4716003174415836`*^9, 3.4716003183827367`*^9}, {
  3.4718511231124473`*^9, 3.471851125346122*^9}}],

Cell[BoxData[
 RowBox[{
  SubscriptBox[
   StyleBox["w",
    FontWeight->"Plain"], "r"], 
  StyleBox["\[Element]",
   FontWeight->"Plain"], 
  RowBox[{
   SuperscriptBox["\[ScriptCapitalC]", "1"], 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[DoubleStruckCapitalR]", "M"], ",", 
     "\[DoubleStruckCapitalR]"}], ")"}], "     ", 
   StyleBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"r", "=", "1"}], ",", "2", ",", "...", ",", "R"}], ")"}],
    FontWeight->"Plain"], 
   StyleBox[" ",
    FontWeight->"Plain"]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.471600265528784*^9, 3.4716003077996445`*^9}}],

Cell[TextData[{
 "is the ",
 StyleBox["kinetics",
  FontWeight->"Bold"],
 ". In compact notation:"
}], "Text",
 CellChangeTimes->{{3.470830787578125*^9, 3.4708308575625*^9}, 
   3.471600321704109*^9, {3.471757607673091*^9, 3.471757610529744*^9}, {
   3.4718511288616204`*^9, 3.4718511546045213`*^9}, {3.4925841323813286`*^9, 
   3.4925841332433777`*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   StyleBox["c",
    FontWeight->"Bold"], "'"], "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     StyleBox["\[Beta]",
      FontWeight->"Bold"], "-", 
     StyleBox["\[Alpha]",
      FontWeight->"Bold"]}], ")"}], 
   StyleBox["w",
    FontWeight->"Bold"], 
   StyleBox[" ",
    FontWeight->"Bold"], 
   StyleBox["\[EmptySmallCircle]",
    FontWeight->"Bold"], 
   StyleBox[" ",
    FontWeight->"Bold"], 
   StyleBox["c",
    FontWeight->"Bold"]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.470830725078125*^9, 3.47083077434375*^9}}],

Cell["Mass action type kinetics:", "Text",
 CellChangeTimes->{{3.47083086753125*^9, 3.4708308820625*^9}, {
  3.470831291453125*^9, 3.470831292875*^9}, {3.4718511606807404`*^9, 
  3.471851175098092*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SubscriptBox["w", "r"], 
    RowBox[{"(", 
     StyleBox[
      OverscriptBox[
       StyleBox["c",
        FontWeight->"Bold"], "_"],
      FontWeight->"Bold"], ")"}]}], ":=", 
   RowBox[{
    RowBox[{
     SubscriptBox["k", "r"], 
     RowBox[{
      UnderoverscriptBox["\[Product]", 
       RowBox[{"p", "=", "1"}], "M"], 
      SubsuperscriptBox[
       OverscriptBox["c", "_"], "p", 
       RowBox[{"\[Alpha]", 
        RowBox[{"(", 
         RowBox[{"p", ",", "r"}], ")"}]}]]}]}], "=", 
    RowBox[{":", 
     RowBox[{
      SubscriptBox["k", "r"], 
      SuperscriptBox[
       StyleBox[
        OverscriptBox[
         StyleBox["c",
          FontWeight->"Bold"], "_"],
        FontWeight->"Bold"], 
       RowBox[{
        StyleBox["\[Alpha]",
         FontWeight->"Bold"], 
        RowBox[{"(", 
         RowBox[{".", 
          RowBox[{",", "r"}]}], ")"}]}]]}]}]}]}], 
  "     "}], "\[IndentingNewLine]", 
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      StyleBox["w",
       FontWeight->"Bold"], 
      RowBox[{"(", 
       StyleBox[
        OverscriptBox[
         StyleBox["c",
          FontWeight->"Bold"], "_"],
        FontWeight->"Bold"], ")"}]}], ":=", 
     RowBox[{
      RowBox[{"diag", 
       RowBox[{"(", 
        StyleBox["k",
         FontWeight->"Bold"], ")"}], 
       SuperscriptBox[
        StyleBox[
         OverscriptBox[
          StyleBox["c",
           FontWeight->"Bold"], "_"],
         FontWeight->"Bold"], 
        StyleBox["\[Alpha]",
         FontWeight->"Bold"]]}], "=", 
      RowBox[{
       StyleBox["k",
        FontWeight->"Bold"], "\[CircleTimes]", 
       SuperscriptBox[
        StyleBox[
         OverscriptBox[
          StyleBox["c",
           FontWeight->"Bold"], "_"],
         FontWeight->"Bold"], 
        StyleBox["\[Alpha]",
         FontWeight->"Bold"]]}]}]}], ";", " ", 
    RowBox[{
     SubscriptBox["k", "r"], "\[Element]", 
     SuperscriptBox["\[DoubleStruckCapitalR]", "+"]}], ";", 
    RowBox[{"r", "=", "1"}]}], ",", "2", ",", "...", ",", "R"}], 
  ")"}]}], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.470830921046875*^9, 3.47083116709375*^9}, 
   3.471600347836731*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The idea of the code", "Subsection",
 CellChangeTimes->{{3.471757633924821*^9, 3.471757637473672*^9}, {
  3.492584346173557*^9, 3.4925843806615295`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rhs", "[", 
   RowBox[{"\[Alpha]_", ",", "\[Beta]_", ",", "k_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"\[Beta]", "-", "\[Alpha]"}], ")"}], ".", 
   RowBox[{"(", 
    RowBox[{"k", " ", 
     RowBox[{"Times", " ", "@@@", " ", 
      RowBox[{"Transpose", "[", 
       SuperscriptBox[
        RowBox[{"Array", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["c", "#"], "&"}], ",", 
          RowBox[{"Length", "[", "\[Alpha]", "]"}]}], "]"}], "\[Alpha]"], 
       "]"}]}]}], ")"}]}]}]], "Code",
 CellChangeTimes->{{3.47091461334375*^9, 3.470914629546875*^9}, {
  3.470914666234375*^9, 3.470914703765625*^9}, {3.471600375191681*^9, 
  3.4716004551125755`*^9}, {3.492584155300639*^9, 3.492584169163432*^9}}],

Cell[TextData[StyleBox["No indices, no cycles, no collector variable",
 FontWeight->"Bold",
 FontColor->RGBColor[0.5, 0, 0.5],
 Background->RGBColor[0.88, 1, 0.88]]], "Text",
 CellChangeTimes->{{3.5003103230118217`*^9, 3.5003103361805754`*^9}, {
  3.500310377827957*^9, 3.500310382005196*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rhs", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "1"},
       {"0", "1", "1"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"2", "0", "0"},
       {"0", "2", "0"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["k", "1"], ",", 
      SubscriptBox["k", "1"], ",", 
      SubscriptBox["k", "2"]}], "}"}]}], "]"}], "//", "Simplify"}]], "Code",
 CellChangeTimes->{{3.470914634109375*^9, 3.47091465421875*^9}, {
  3.470914758921875*^9, 3.470914772796875*^9}, {3.4925842054725094`*^9, 
  3.492584248059945*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["ReactionKinetics.m working", "Subsection",
 CellChangeTimes->{{3.4925843523739114`*^9, 3.4925843939312887`*^9}}],

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4925835742924075`*^9, 3.492583609363414*^9}, 
   3.4925837644722853`*^9, {3.4925838921225863`*^9, 3.492583922841344*^9}}],

Cell[BoxData[
 RowBox[{"<<", "\"\<ReactionKinetics1`\>\""}]], "Input",
 CellChangeTimes->{{3.4925835742924075`*^9, 3.492583609363414*^9}, 
   3.4925837644722853`*^9, {3.4925838921225863`*^9, 3.492583901120101*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frank2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], " ", ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Rule]", "B"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4925844329195185`*^9, 3.492584457668934*^9}}],

Cell[CellGroupData[{

Cell["Stoichiometry and deterministic model", "Subsubsection"],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"frank2", ",", 
   RowBox[{"ExternalSpecies", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"A", ",", "B"}], "}"}]}], ",", "\"\<species\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.492584496264141*^9, 3.492584526795888*^9}, {
  3.500312853458555*^9, 3.500312866233286*^9}, {3.5003129745854836`*^9, 
  3.5003129776456585`*^9}, {3.5003131447312155`*^9, 3.5003131585690064`*^9}}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"frank2", ",", 
   RowBox[{"ExternalSpecies", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"A", ",", "B"}], "}"}]}], ",", "\"\<reactionsteps\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.492584496264141*^9, 3.492584545924982*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ReactionsData", "[", 
   RowBox[{"frank2", ",", 
    RowBox[{"ExternalSpecies", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"A", ",", "B"}], "}"}]}], ",", "\"\<volpertgraph\>\""}], "]"}], 
  "//", "GraphPlot"}]], "Input",
 CellChangeTimes->{{3.492584496264141*^9, 3.492584545924982*^9}, {
  3.492584651726033*^9, 3.4925846823087826`*^9}}],

Cell[BoxData[
 RowBox[{"DeterministicModel", "[", 
  RowBox[{"frank2", ",", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["k", "#"], "&"}], ",", "5"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.492771598776793*^9, 3.492771624057239*^9}}],

Cell[BoxData[
 RowBox[{"DeterministicModel", "[", 
  RowBox[{"frank2", ",", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["k", "#"], "&"}], ",", "5"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "r", ",", "s"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.492771598776793*^9, 3.492771647588585*^9}}],

Cell[BoxData[
 RowBox[{"frconc", "=", 
  RowBox[{"Concentrations", "[", 
   RowBox[{
    RowBox[{"{", "frank2", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0.11", ",", "0.10"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "10"}], "}"}], ",", 
    RowBox[{"ExternalSpecies", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"A", ",", "B"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5003135967960715`*^9, 3.5003136700782633`*^9}, {
  3.5003137963164835`*^9, 3.5003137993566575`*^9}, {3.50031387439695*^9, 
  3.5003138969702406`*^9}, {3.5003139436539106`*^9, 3.5003139443649516`*^9}, {
  3.5003151405433693`*^9, 3.500315141053398*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"ReplaceAll", "@@", "frconc"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "All"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.500313954690542*^9, 3.500313964213087*^9}, {
  3.5003142630211773`*^9, 3.5003142716696725`*^9}, {3.500314348605073*^9, 
  3.5003143765396705`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        SubscriptBox["c", "R"], "[", "t", "]"}], "-", 
       RowBox[{
        SubscriptBox["c", "S"], "[", "t", "]"}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["c", "R"], "[", "t", "]"}], "+", 
       RowBox[{
        SubscriptBox["c", "S"], "[", "t", "]"}]}]], "/.", 
     RowBox[{"Last", "[", "frconc", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "0.08"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "All"}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Thick"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Enantiomeric excess\>\""}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<ee(t)\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.500313954690542*^9, 3.500313964213087*^9}, {
  3.5003140683070407`*^9, 3.500314235215587*^9}, {3.500315158344387*^9, 
  3.5003151587934127`*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Detailed balance", "Subsection",
 CellChangeTimes->{{3.5003105895590677`*^9, 3.5003105933192825`*^9}}],

Cell[TextData[{
 "Wegscheider (1901), Fowler and Milne (1925): the principle of ",
 StyleBox["detailed balance",
  FontWeight->"Bold"],
 " (in real thermodynamic equilibrium all the subprocesses (whatever they \
mean) should be in dynamic equilibrium separately in such a way that they do \
not stop but they proceed with the same velocity in both directions). "
}], "Text",
 CellChangeTimes->{{3.492668133211901*^9, 3.492668172344139*^9}, {
  3.493107444140049*^9, 3.4931075323160925`*^9}}],

Cell[TextData[{
 "I. e. time is reversible at equilibrium: ",
 StyleBox["microscopic reversibility",
  FontWeight->"Bold"],
 "."
}], "Text",
 CellChangeTimes->{{3.492668133211901*^9, 3.492668172344139*^9}, {
  3.493107444140049*^9, 3.4931075530202765`*^9}}],

Cell["\<\
(No fomulae, neither chemical, nor mathematical are used by Fowler and Milne.)\
\>", "Text",
 CellChangeTimes->{{3.493107947267826*^9, 3.493108000403866*^9}}],

Cell["\<\
Gold  et al. (1997, IUPAC): ,,The principle of microscopic reversibility at \
equilibrium states that, in a system at equilibrium, any molecular process \
and the reverse of that process occur, on the average, at the same rate.\"\
\>", "Text",
 CellChangeTimes->{
  3.4923275269882746`*^9, {3.4931064277639155`*^9, 3.4931064615018454`*^9}, {
   3.493106747244189*^9, 3.493106762877083*^9}, {3.4931075859081573`*^9, 
   3.4931076140757685`*^9}, 3.4931080045321016`*^9}],

Cell[TextData[StyleBox["However, IUPAC is cautious enough to not state that \
the principle is either an axiom to be accepted or a theorem to be proven",
 FontWeight->"Bold",
 FontColor->RGBColor[0.5, 0, 0.5],
 Background->RGBColor[0.88, 1, 0.88]]], "Text",
 CellChangeTimes->{{3.5003103230118217`*^9, 3.5003103361805754`*^9}, {
  3.500310377827957*^9, 3.500310382005196*^9}, {3.5003106519216347`*^9, 
  3.500310716621335*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Detailed balance in deterministic models: Assumptions, formal definitions, \
conditions\
\>", "Subsection",
 CellChangeTimes->{{3.500310029569038*^9, 3.5003100352593637`*^9}, {
  3.5003105269684877`*^9, 3.5003105586262984`*^9}, {3.500312298174795*^9, 
  3.5003123316697106`*^9}}],

Cell["Mass action type kinetics", "Text",
 CellChangeTimes->{{3.4926680927585874`*^9, 3.4926680956097507`*^9}, {
  3.492670235871166*^9, 3.492670241672498*^9}, {3.493106467436185*^9, 
  3.493106468652254*^9}, {3.500312304544159*^9, 3.500312336331977*^9}}],

Cell["Reversible reaction steps", "Text",
 CellChangeTimes->{{3.4926680108339014`*^9, 3.4926680631918964`*^9}, {
   3.4926683587368*^9, 3.492668478212634*^9}, {3.49266857150597*^9, 
   3.492668603918824*^9}, {3.4931064836531124`*^9, 3.4931065065644226`*^9}, 
   3.493106708123951*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"r", "=", "1"}], "R"], 
   RowBox[{"\[Alpha]", 
    StyleBox[
     RowBox[{"(", 
      RowBox[{"m", ",", "r"}], ")"}],
     FontWeight->"Plain"], 
    StyleBox["X",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", "m", ")"}],
     FontWeight->"Plain"]}]}], "\[Equilibrium]", 
  RowBox[{
   UnderoverscriptBox["\[Sum]", 
    RowBox[{"r", "=", "1"}], "R"], 
   RowBox[{"\[Beta]", 
    StyleBox[
     RowBox[{"(", 
      RowBox[{"m", ",", "r"}], ")"}],
     FontWeight->"Plain"], 
    StyleBox["X",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", "m", ")"}],
     FontWeight->"Plain"], 
    StyleBox["     ",
     FontWeight->"Plain"], 
    StyleBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"r", "=", "1"}], ",", "2", ",", "...", ",", "R"}], ")"}],
     FontWeight->"Plain"]}]}]}]], "DisplayFormulaNumbered",
 CellChangeTimes->{{3.470830409234375*^9, 3.47083048590625*^9}, {
  3.492668514036683*^9, 3.492668543771384*^9}}],

Cell[TextData[{
 "The reaction is ",
 StyleBox["detailed balanced at the positive stationary point",
  FontWeight->"Bold"],
 " ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    StyleBox["c",
     FontWeight->"Bold"], "*"], TraditionalForm]]],
 ", if for all elementary steps one has the same velocity in both directions:"
}], "Text",
 CellChangeTimes->{{3.4926680108339014`*^9, 3.4926680631918964`*^9}, {
  3.4926683587368*^9, 3.4926684823348703`*^9}, {3.4926685560580864`*^9, 
  3.492668562025428*^9}}],

Cell["\<\
It is detailed balanced if it is detailed balanced at all positive stationary \
points.\
\>", "Text",
 CellChangeTimes->{{3.4926686276141796`*^9, 3.492668651015518*^9}}],

Cell[CellGroupData[{

Cell["\<\
Detailed balanced for all reaction rate coefficients: simple bimolecular\
\>", "Subsubsection",
 CellChangeTimes->{{3.493106581643717*^9, 3.4931065926113443`*^9}, {
  3.4931066443403034`*^9, 3.493106651491712*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"fhj", "[", "reakcio_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", 
    RowBox[{"ShowFHJGraph", "[", 
     RowBox[{"reakcio", ",", 
      RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
      RowBox[{"DirectedEdges", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "380"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"ReactionsData", "[", 
        RowBox[{"reakcio", ",", "\"\<deficiency\>\""}], "]"}]}]}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.4925843006099505`*^9, 3.4925843015130024`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"bimol", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"A", "+", "B"}], "\[Equilibrium]", "C"}], "}"}]}], ";", 
  RowBox[{"fhj", "[", "bimol", "]"}]}]], "Input",
 CellChangeTimes->{{3.4926673027214*^9, 3.492667348122997*^9}, 
   3.492667950274438*^9, {3.4931066546798944`*^9, 3.4931066753990793`*^9}, {
   3.4931080731360254`*^9, 3.493108080718459*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Detailed balanced for some reaction rate coefficients: Wegscheider\
\>", "Subsubsection",
 CellChangeTimes->{{3.493106581643717*^9, 3.4931066074841948`*^9}, {
  3.500312376660284*^9, 3.5003123809345284`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"wegscheider", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"A", "\[Equilibrium]", "B"}], ",", 
     RowBox[{
      RowBox[{"A", "+", "B"}], "\[Equilibrium]", 
      RowBox[{"2", "B"}]}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"ShowFHJGraph", "[", 
  RowBox[{"wegscheider", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["k", "1"], ",", 
     SubscriptBox["k", 
      RowBox[{"-", "1"}]], ",", 
     SubscriptBox["k", "2"], ",", 
     SubscriptBox["k", 
      RowBox[{"-", "2"}]]}], "}"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4926673027214*^9, 3.492667348122997*^9}, 
   3.492667950274438*^9}],

Cell["\<\
A positive stationary state exists and it is unique for all values of the \
reaction rate coeffi\.1ecients.\
\>", "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.493109482403631*^9}, {
  3.49310964935718*^9, 3.4931096583796964`*^9}}],

Cell[TextData[{
 "The existence of a positive stationary state alone ",
 StyleBox["does not imply",
  FontWeight->"Bold"],
 " the equality of all the individual forward and backward reaction rates in \
equilibrium."
}], "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.4931094991635895`*^9}}],

Cell[TextData[{
 "Necessary and sufficient condition:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox[
     SubscriptBox["k", "1"], 
     SubscriptBox["k", 
      RowBox[{"-", "1"}]]], "=", 
    FractionBox[
     SubscriptBox["k", "2"], 
     SubscriptBox["k", 
      RowBox[{"-", "2"}]]]}], TraditionalForm]]],
 " (",
 StyleBox["spanning forest conditions)",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.493109553909721*^9}}],

Cell[TextData[{
 "A general remark:\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["k", "1"], 
      SuperscriptBox["a", "*"]}], "=", 
     RowBox[{
      SubscriptBox["k", 
       RowBox[{"-", "1"}]], 
      SuperscriptBox["a", "*"]}]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["k", "2"], 
      SuperscriptBox["a", "*"], 
      SuperscriptBox["b", "*"]}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SubscriptBox["k", 
          RowBox[{"-", "2"}]], "(", 
         SuperscriptBox["b", "*"], ")"}], "2"], " ", 
       "\[DoubleLongRightArrow]", " ", 
       FractionBox[
        SubscriptBox["k", "1"], 
        SubscriptBox["k", 
         RowBox[{"-", "1"}]]]}], "=", 
      RowBox[{
       FractionBox[
        SubscriptBox["k", "2"], 
        SubscriptBox["k", 
         RowBox[{"-", "2"}]]], "."}]}]}]}], TraditionalForm]]],
 " \nThe restriction holds for the rate coefficients which enter the \
differential equations describing the ",
 StyleBox["(far from equilibrium) time dependent evolution",
  FontWeight->"Bold"],
 " of the concentrations."
}], "Text",
 CellChangeTimes->{{3.492668750030181*^9, 3.4926689946241713`*^9}, {
  3.4931093052614994`*^9, 3.493109431787736*^9}, {3.493109566972468*^9, 
  3.493109574677909*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Triangle", "Subsubsection",
 CellChangeTimes->{{3.4931066211319757`*^9, 3.4931066241641493`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"triangle", "=", 
   RowBox[{"{", 
    RowBox[{
    "A", "\[Equilibrium]", "B", "\[Equilibrium]", "C", "\[Equilibrium]", 
     "A"}], "}"}]}], ";"}], "\n", 
 RowBox[{"ShowFHJGraph", "[", 
  RowBox[{"triangle", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["k", "1"], ",", 
     SubscriptBox["k", 
      RowBox[{"-", "1"}]], ",", 
     SubscriptBox["k", "2"], ",", 
     SubscriptBox["k", 
      RowBox[{"-", "2"}]], ",", 
     SubscriptBox["k", "3"], ",", 
     SubscriptBox["k", 
      RowBox[{"-", "3"}]]}], "}"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"DirectedEdges", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.492667803416038*^9, 3.492667807861292*^9}, 
   3.492667937167688*^9}],

Cell["\<\
A positive stationary state exists and it is unique for all values of the \
reaction rate coeffi\.1ecients.\
\>", "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.493109482403631*^9}, {
  3.49310964935718*^9, 3.4931096583796964`*^9}}],

Cell[TextData[{
 "The existence of a positive stationary state alone ",
 StyleBox["does not imply",
  FontWeight->"Bold"],
 " the equality of all the individual forward and backward reaction rates in \
equilibrium."
}], "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.4931094991635895`*^9}}],

Cell[TextData[{
 "Necessary and sufficient condition:  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["k", "1"], 
     SubscriptBox["k", "2"], 
     SubscriptBox["k", "3"]}], "=", 
    RowBox[{
     SubscriptBox["k", 
      RowBox[{"-", "1"}]], 
     SubscriptBox["k", 
      RowBox[{"-", "2"}]], 
     SubscriptBox["k", 
      RowBox[{"-", "3"}]]}]}], TraditionalForm]]],
 " (",
 StyleBox["circuit conditions)",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.492667403726177*^9, 3.4926675235470304`*^9}, {
  3.4926676918786583`*^9, 3.4926677032773104`*^9}, {3.4926677419845247`*^9, 
  3.4926677707301683`*^9}, {3.4931094495357513`*^9, 3.493109553909721*^9}, {
  3.49310962907402*^9, 3.493109637532504*^9}}],

Cell["\<\
Circuit conditions are known, Wegscheider's example is much less known. \
(Although: Vlad and Ross, linear algebra.)\
\>", "Text",
 CellChangeTimes->{{3.492669019060569*^9, 3.4926691523421917`*^9}, {
  3.4931097033012657`*^9, 3.4931097567323217`*^9}}],

Cell[TextData[{
 "Feinberg: Circuit+spanning tree form together necessary and sufficient \
conditions. Consequences: \n1. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0"}], TraditionalForm]]],
 " and if there are no circles present in the (FHJ) graph of the model, then \
the reaction is detailed balanced without any constraints."
}], "Text",
 CellChangeTimes->{{3.4926691668740234`*^9, 3.492669305686963*^9}, {
  3.4926701747816725`*^9, 3.4926701762777576`*^9}, {3.493109838685009*^9, 
  3.4931099209987173`*^9}}],

Cell["\<\
2. If the deficiency is zero then the necessary and sufficient conditions \
reduce to the circuit conditions.\
\>", "Text",
 CellChangeTimes->{{3.4926693093141704`*^9, 3.4926693793961787`*^9}, {
  3.493109828492426*^9, 3.4931098295164847`*^9}, {3.4931099236758704`*^9, 
  3.493109931636326*^9}}],

Cell["\<\
3. If there are no circles in the graph then we only have \[Delta] spanning \
tree conditions. \
\>", "Text",
 CellChangeTimes->{{3.4926693893797503`*^9, 3.4926694047056265`*^9}, {
  3.4931097807796974`*^9, 3.4931098144126205`*^9}, {3.4931099269480577`*^9, 
  3.493109927500089*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Detailed balance and regular behaviour", "Subsection",
 CellChangeTimes->{{3.4926702541062098`*^9, 3.4926702646298113`*^9}}],

Cell["\<\
If a reversible reaction is detailed balanced then its time evolution is \
regular.\
\>", "Text",
 CellChangeTimes->{{3.492670297454689*^9, 3.492670319839969*^9}, 
   3.492670504181513*^9}],

Cell["\<\
Far reaching generalization: instead of reversibility weak reversibility is \
assumed and instead of DB complex balance is assumed and these properties \
together imply regular behaviour. \
\>", "Text",
 CellChangeTimes->{{3.492670322984149*^9, 3.492670338715049*^9}, {
  3.492670376662219*^9, 3.4926704392027965`*^9}, {3.493109952820537*^9, 
  3.4931099557967076`*^9}}],

Cell["\<\
Being complex balanced is equivalent to having a deficiency of zero: a \
condition ,,easy\" to check.\
\>", "Text",
 CellChangeTimes->{{3.492670450898465*^9, 3.492670494200942*^9}, {
  3.4931099639801755`*^9, 3.4931099642361903`*^9}}],

Cell["\<\
Method of proof: use a Lyapunov function of the form similar to free energy. \
(,,Second law is obeyed.\")\
\>", "Text",
 CellChangeTimes->{{3.4926703409991794`*^9, 3.4926703714069185`*^9}, {
  3.4926705643709555`*^9, 3.492670600700033*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Detailed balanced models of chirality", "Subsection",
 CellChangeTimes->{{3.4926705203424373`*^9, 3.4926705395615363`*^9}}],

Cell["\<\
One may have the stance that only DB models are worth being \
used/investigated. Let us review the usual models. We take reversible \
closures and check the conditions with and without assuming symmetry.\
\>", "Text",
 CellChangeTimes->{{3.4926705578805847`*^9, 3.492670562020821*^9}, {
  3.4926706074074173`*^9, 3.4926706135927706`*^9}, {3.492670646722666*^9, 
  3.4926706801315765`*^9}, {3.493110006084584*^9, 3.4931100371163588`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"michaelis", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<E\>\"", "+", "S"}], "\[Equilibrium]", "C", "\[Equilibrium]", 
     RowBox[{"\"\<E\>\"", "+", "P"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}, {3.49112342058844*^9, 3.4911234399735484`*^9}, {
  3.491123519478096*^9, 3.4911235638796353`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "michaelis", "]"}]], "Input",
 CellChangeTimes->{{3.4911234568915157`*^9, 3.4911234611267586`*^9}, {
  3.4911235483867493`*^9, 3.4911235513599195`*^9}, {3.4931101363190327`*^9, 
  3.4931101368770647`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] no restrictions."
}], "Text",
 CellChangeTimes->{3.493110156398181*^9}],

Cell[CellGroupData[{

Cell["Frank1", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.4911193009538097`*^9, 
  3.491119311774429*^9}, {3.4911234031894445`*^9, 3.4911234151131268`*^9}, {
  3.491123493414605*^9, 3.4911235150248413`*^9}, {3.4911235896101074`*^9, 
  3.491123589730114*^9}, {3.491123761798956*^9, 3.491123780593031*^9}, {
  3.4931102571319427`*^9, 3.4931102614121876`*^9}, {3.500312447446333*^9, 
  3.500312449617457*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frank1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"A", "\[Equilibrium]", "R"}], ",", 
     RowBox[{"A", "\[Equilibrium]", "S"}], ",", 
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
   3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
   3.491119389990903*^9}, {3.49112342058844*^9, 3.4911234399735484`*^9}, {
   3.491123519478096*^9, 3.4911235638796353`*^9}, {3.491123616114623*^9, 
   3.491123659525106*^9}, {3.491123784411249*^9, 3.4911237869013915`*^9}, {
   3.491123851935111*^9, 3.4911238779906015`*^9}, 3.4931102636463156`*^9}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"frank1", ",", "\"\<species\>\"", ",", "\"\<reactionsteps\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.491823453682496*^9, 3.4918234560636325`*^9}, 
   3.4931102932540092`*^9}],

Cell[BoxData[
 RowBox[{"fhj", "[", "frank1", "]"}]], "Input",
 CellChangeTimes->{{3.4911234568915157`*^9, 3.4911234611267586`*^9}, {
  3.4911235483867493`*^9, 3.4911235513599195`*^9}, {3.4911236632953215`*^9, 
  3.491123665034421*^9}, {3.49112388618307*^9, 3.4911238883991966`*^9}, {
  3.493110307397818*^9, 3.493110312870131*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "2", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] two restrictions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["K", "1"], "=", 
     SubscriptBox["K", "3"]}], ",", 
    RowBox[{
     SubscriptBox["K", "2"], "=", 
     RowBox[{
      SubscriptBox["K", "4"], "."}]}]}], TraditionalForm]]],
 " If symmetry is implied, then the two restrictions coincide."
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, {
   3.493110325919877*^9, 3.4931103719565105`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Frank3 ", "Subsubsection",
 CellChangeTimes->{{3.492320855877709*^9, 3.4923208669253407`*^9}, {
  3.493110384397222*^9, 3.493110386972369*^9}, {3.5003152710618343`*^9, 
  3.5003152716118655`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"frank3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", "0"}], ",", 
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.492320905850567*^9, 3.492320928991891*^9}, {
  3.4931103895105143`*^9, 3.4931103899105377`*^9}, {3.5003152671366096`*^9, 
  3.5003152682766747`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "frank3", "]"}]], "Input",
 CellChangeTimes->{{3.492320934768221*^9, 3.492320941482605*^9}, {
  3.493110394693811*^9, 3.493110398382022*^9}, {3.5003152739299984`*^9, 
  3.5003152740900073`*^9}}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"frank3", ",", "\"\<species\>\"", ",", "\"\<reactionsteps\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.4923209727633944`*^9, {3.493110419350221*^9, 3.493110419694241*^9}, {
   3.500315280288362*^9, 3.5003152808083916`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] no restrictions."
}], "Text",
 CellChangeTimes->{3.493110156398181*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mauksch1", "Subsubsection",
 CellChangeTimes->{{3.492331501099581*^9, 3.492331511959202*^9}, 
   3.4931104308288774`*^9, 3.493110494444516*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mauksch1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "A"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.492331551910487*^9, 3.4923315649252315`*^9}, 
   3.4931104970146637`*^9}],

Cell[BoxData[
 RowBox[{"fhj", "[", "mauksch1", "]"}]], "Input",
 CellChangeTimes->{{3.4923315689304605`*^9, 3.4923315726226716`*^9}, {
   3.4931104372932477`*^9, 3.493110437773275*^9}, 3.4931104982697353`*^9}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "1", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] one restriction: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["K", "1"], 
     SubscriptBox["K", "2"], 
     SubscriptBox["K", "3"]}], "=", "1."}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mauksch2", "Subsubsection",
 CellChangeTimes->{{3.492331501099581*^9, 3.492331511959202*^9}, {
  3.492338291987997*^9, 3.4923382931660647`*^9}, {3.493110486604068*^9, 
  3.493110490532293*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mauksch2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{"R", "\[Equilibrium]", "A", "\[Equilibrium]", "S"}], ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "A"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.492331551910487*^9, 3.4923315649252315`*^9}, {
  3.492338296071231*^9, 3.492338331917281*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "mauksch2", "]"}]], "Input",
 CellChangeTimes->{{3.4923315689304605`*^9, 3.4923315726226716`*^9}, 
   3.4923383358425055`*^9, {3.4931105114054866`*^9, 3.493110512005521*^9}}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"mauksch2", ",", "\"\<species\>\"", ",", "\"\<reactionsteps\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4923383879674873`*^9, 3.492338392342737*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "3", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] three restrictions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["K", "2"], "=", 
     SubscriptBox["K", "3"]}], ",", " ", 
    RowBox[{
     SubscriptBox["K", "1"], "=", 
     SubscriptBox["K", "5"]}], ",", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["K", "1"], 
      SubscriptBox["K", "2"], 
      SubscriptBox["K", "4"]}], "=", "1"}]}], TraditionalForm]]],
 ". \nSymmetry added: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["K", "1"], "=", 
     SubscriptBox["K", "3"]}], ",", "  ", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       SubscriptBox["K", "1"], "2"], 
      SubscriptBox["K", "4"]}], "=", "1"}]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kondepudi and Nelson", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.4911193009538097`*^9, 
  3.491119311774429*^9}, {3.4911234031894445`*^9, 3.4911234151131268`*^9}, {
  3.491123493414605*^9, 3.4911235150248413`*^9}, {3.4911235896101074`*^9, 
  3.491123589730114*^9}, {3.491123761798956*^9, 3.491123780593031*^9}, {
  3.491124086530529*^9, 3.4911240963600917`*^9}, {3.4931105808604593`*^9, 
  3.4931105817405095`*^9}, {3.500312476384988*^9, 3.5003124785291104`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kondepudi", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", "B"}], "\[Equilibrium]", "R"}], ",", 
     RowBox[{
      RowBox[{"A", "+", "B"}], "\[Equilibrium]", "S"}], ",", 
     RowBox[{
      RowBox[{"A", "+", "B", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "B", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", "P"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}, {3.49112342058844*^9, 3.4911234399735484`*^9}, {
  3.491123519478096*^9, 3.4911235638796353`*^9}, {3.491123616114623*^9, 
  3.491123659525106*^9}, {3.491123784411249*^9, 3.4911237869013915`*^9}, {
  3.491123851935111*^9, 3.4911238779906015`*^9}, {3.4911241050875907`*^9, 
  3.49112415647653*^9}}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"kondepudi", ",", "\"\<species\>\"", ",", "\"\<reactionsteps\>\""}],
   "]"}]], "Input",
 CellChangeTimes->{{3.491823463843077*^9, 3.4918234669842567`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "kondepudi", "]"}]], "Input",
 CellChangeTimes->{{3.4911234568915157`*^9, 3.4911234611267586`*^9}, {
  3.4911235483867493`*^9, 3.4911235513599195`*^9}, {3.4911236632953215`*^9, 
  3.491123665034421*^9}, {3.49112388618307*^9, 3.4911238883991966`*^9}, {
  3.49112416154282*^9, 3.4911241646139956`*^9}, {3.4931105943422303`*^9, 
  3.493110595005268*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "2", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] two restrictions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["K", "1"], "=", 
     SubscriptBox["K", "3"]}], ",", 
    RowBox[{
     SubscriptBox["K", "2"], "=", 
     SubscriptBox["K", "4"]}]}], TraditionalForm]]],
 ". \nSymmetry added: they coincide."
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}, {
   3.4931106128482885`*^9, 3.493110642828004*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["KN according to Blackmond", "Subsubsection",
 CellChangeTimes->{{3.492321149258489*^9, 3.4923211620122185`*^9}, {
  3.4931106482123117`*^9, 3.493110655980756*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kondepudib", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", 
       RowBox[{"2", "R"}]}], "\[Equilibrium]", 
      RowBox[{"3", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", 
       RowBox[{"2", "S"}]}], "\[Equilibrium]", 
      RowBox[{"3", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.492321167155513*^9, 3.4923211965391936`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "kondepudib", "]"}]], "Input",
 CellChangeTimes->{{3.4923211999283876`*^9, 3.49232120975795*^9}, {
  3.493110662334119*^9, 3.4931106627891455`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] no restrictions. \
Symmetry is not relevant."
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110781956961*^9, 3.4931107997479787`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Saito and Hiruga according to Blackmond", "Subsubsection",
 CellChangeTimes->{{3.4923324271235466`*^9, 3.492332437764155*^9}, {
  3.493110706212629*^9, 3.493110718332322*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"saito", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", 
       RowBox[{"2", "R"}]}], "\[Equilibrium]", 
      RowBox[{"3", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", 
       RowBox[{"2", "S"}]}], "\[Equilibrium]", 
      RowBox[{"3", "S"}]}], ",", 
     RowBox[{"R", "\[Equilibrium]", "A", "\[Equilibrium]", "S"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.492321167155513*^9, 3.4923211965391936`*^9}, {
  3.4923324441695213`*^9, 3.4923324677558703`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "saito", "]"}]], "Input",
 CellChangeTimes->{{3.4923211999283876`*^9, 3.49232120975795*^9}, {
  3.492332471094061*^9, 3.492332474881278*^9}, {3.4931107426777143`*^9, 
  3.493110743173743*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Todorovi\[CAcute]", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.500313406320177*^9, 3.5003134077432585`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"todorovic", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", "P"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "todorovic", "]"}]], "Input",
 CellChangeTimes->{{3.491124193413643*^9, 3.4911241994649887`*^9}, {
  3.4931107545493937`*^9, 3.4931107551334267`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] no restrictions. \
Symmetry is not relevant."
}], "Text",
 CellChangeTimes->{3.4931108082704663`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Blackmond", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.5003134093153486`*^9, 
  3.5003134108014336`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"blackmond", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", "\"\<RS\>\""}], ",", 
     RowBox[{
      RowBox[{
      "A", "+", "Z", "+", "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], 
      "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "+", "R"}]}], ",", 
     RowBox[{
      RowBox[{
      "A", "+", "Z", "+", "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\""}], 
      "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "+", "S"}]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "blackmond", "]"}]], "Input",
 CellChangeTimes->{{3.491124238354213*^9, 3.49112424459557*^9}, {
  3.4931108173499856`*^9, 3.4931108181170297`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "0", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] no restrictions. \
Symmetry is not relevant."
}], "Text",
 CellChangeTimes->{3.4931108082704663`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gridnev_1", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.4911193009538097`*^9, 
  3.491119311774429*^9}, {3.500313412371523*^9, 3.500313413779604*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gridnev1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "R"}], "\[Equilibrium]", 
      RowBox[{"A", "+", 
       RowBox[{"2", "R"}]}]}], ",", 
     RowBox[{
      RowBox[{"3", "S"}], "\[Equilibrium]", 
      RowBox[{"A", "+", 
       RowBox[{"2", "S"}]}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{
       RowBox[{"2", "S"}], "+", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{
       RowBox[{"2", "R"}], "+", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "gridnev1", "]"}]], "Input",
 CellChangeTimes->{{3.491119395296206*^9, 3.4911194021295967`*^9}, {
  3.4931108445735426`*^9, 3.493110847397704*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "1", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] one restriction: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["K", "3"], "=", 
    RowBox[{
     SubscriptBox["K", "4"], "."}]}], TraditionalForm]]],
 "\nSymmetry added: no restrictions."
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}, {
   3.4931106128482885`*^9, 3.493110642828004*^9}, {3.49311090047974*^9, 
   3.4931109347727017`*^9}}],

Cell["This model is not mass conserving! (Cf. Pekar.)", "Text",
 CellChangeTimes->{{3.491119451420416*^9, 3.4911195046084585`*^9}, {
  3.491823507994602*^9, 3.4918235085266333`*^9}, {3.4931109463353634`*^9, 
  3.493110972348851*^9}}],

Cell[BoxData[
 RowBox[{"MatrixForm", "[", 
  RowBox[{"gamma", "=", 
   RowBox[{"ReactionsData", "[", 
    RowBox[{"gridnev1", ",", "\"\<\[Gamma]\>\""}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4911230704124107`*^9, 3.4911230741336236`*^9}, {
  3.491123138848325*^9, 3.491123143955617*^9}, {3.4911231757444353`*^9, 
  3.491123216980794*^9}}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "r", ",", "s"}], "}"}], ".", "gamma"}], "\[Equal]", 
    "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "r", ",", "s"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4911232361328897`*^9, 3.491123273276014*^9}}],

Cell[BoxData[
 RowBox[{"FindInstance", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "r", ",", "s"}], "}"}], ".", "gamma"}], "\[Equal]", 
      "0"}], ",", 
     RowBox[{"a", ">", "0"}], ",", 
     RowBox[{"r", ">", "0"}], ",", 
     RowBox[{"s", ">", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "r", ",", "s"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4911232361328897`*^9, 3.4911233208507347`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gridnev_2", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.4911193009538097`*^9, 
  3.491119311774429*^9}, {3.491124365530487*^9, 3.4911243660825186`*^9}, {
  3.5003134153116913`*^9, 3.500313416718772*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"gridnev2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "+", "A", "+", "Z"}], 
      "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "+", "RZ"}]}], 
     ",", 
     RowBox[{
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "+", "A", "+", "Z"}], 
      "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "+", "SZ"}]}]}], 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}, {3.491124369827733*^9, 3.4911244169354277`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "gridnev2", "]"}]], "Input",
 CellChangeTimes->{{3.491124423491802*^9, 3.491124428824107*^9}, {
  3.493111067165274*^9, 3.4931110677733088`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kondepudi, Lente", "Subsubsection",
 CellChangeTimes->{{3.4911176198276553`*^9, 3.491117627099071*^9}, {
  3.491119035114605*^9, 3.4911190402959013`*^9}, {3.4911193009538097`*^9, 
  3.491119311774429*^9}, {3.491124365530487*^9, 3.4911243660825186`*^9}, {
  3.4911245013442554`*^9, 3.491124517911203*^9}, {3.5003134188788953`*^9, 
  3.5003134203429794`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], "S"}], "\[Equilibrium]", "A", "\[Equilibrium]", 
      RowBox[{
       FractionBox["1", "2"], "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "R"}], "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
      RowBox[{"A", "+", "S"}], "\[Equilibrium]", 
      RowBox[{"2", "S"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}, {3.491124369827733*^9, 3.4911244169354277`*^9}, {
  3.491124520514352*^9, 3.491124586065101*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "kl", "]"}]], "Input",
 CellChangeTimes->{{3.491124423491802*^9, 3.491124428824107*^9}, {
  3.491124590398349*^9, 3.4911245925564723`*^9}, {3.493111082453149*^9, 
  3.493111082965178*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "1", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] one restriction: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["K", "3"], "=", 
    RowBox[{
     FractionBox[
      SubsuperscriptBox["K", "1", "2"], 
      SubsuperscriptBox["K", "2", "2"]], "."}]}], TraditionalForm]]],
 "\nSymmetry added: no restrictions."
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}, {
   3.4931106128482885`*^9, 3.493110642828004*^9}, {3.49311090047974*^9, 
   3.4931109347727017`*^9}, {3.4931111058244853`*^9, 3.493111107409576*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Saito, Hyuga ", "Subsubsection",
 CellChangeTimes->{{3.4912187325802937`*^9, 3.491218758063751*^9}, 
   3.4931111273327155`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"saitohyuga", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"3", "R"}], "\[Equilibrium]", 
      RowBox[{"A", "+", 
       RowBox[{"2", "R"}]}]}], ",", 
     RowBox[{
      RowBox[{"3", "S"}], "\[Equilibrium]", 
      RowBox[{"A", "+", 
       RowBox[{"2", "S"}]}]}], ",", 
     RowBox[{"S", "\[Equilibrium]", "A", "\[Equilibrium]", "R"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4911186324665747`*^9, 3.491118650616613*^9}, {
  3.4911190510105143`*^9, 3.4911191523153086`*^9}, {3.491119314646593*^9, 
  3.491119389990903*^9}, {3.4912187914716625`*^9, 3.4912188214023743`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "saitohyuga", "]"}]], "Input",
 CellChangeTimes->{{3.491119395296206*^9, 3.4911194021295967`*^9}, {
  3.491218826950691*^9, 3.491218831527953*^9}, {3.493111132414006*^9, 
  3.4931111329820385`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "2", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] two restrictions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["K", "1"], 
      SubscriptBox["K", "4"]}], "=", "1"}], ",", " ", 
    RowBox[{
     SubscriptBox["K", "2"], "=", 
     RowBox[{
      SubscriptBox["K", "3"], "."}]}]}], TraditionalForm]]],
 "\nSymmetry added:",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", Cell[TextData[{
     Cell[BoxData[
      FormBox[
       RowBox[{
        SubscriptBox["K", "1"], "=", 
        RowBox[{
         SubscriptBox["K", "3"], "=", "1"}]}], TraditionalForm]]],
     "."
    }]]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}, {
   3.4931106128482885`*^9, 3.493110642828004*^9}, {3.4931111908823504`*^9, 
   3.493111211072505*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plasson et al. ", "Subsubsection",
 CellChangeTimes->{{3.491218978414355*^9, 3.4912189886329393`*^9}, 
   3.493111222276146*^9}],

Cell["Necessary transformations", "Text",
 CellChangeTimes->{{3.491219007813036*^9, 3.4912190320014195`*^9}, {
  3.493111227133424*^9, 3.493111269220831*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plasson", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"2", "S"}], "\[Equilibrium]", 
      "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "S"}]}], 
     ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[Equilibrium]", "RS", 
      "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "S"}]}], 
     ",", 
     RowBox[{"RS", "\[Equilibrium]", 
      RowBox[{"R", "+", "S"}]}], ",", 
     RowBox[{
     "S", "\[Equilibrium]", "\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\""}], 
     ",", 
     RowBox[{
     "\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "\[Equilibrium]", "R"}], 
     ",", 
     RowBox[{
      RowBox[{"R", "+", "S"}], "\[Equilibrium]", "SR", "\[Equilibrium]", 
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "R"}]}], 
     ",", 
     RowBox[{
     "SR", "\[Equilibrium]", "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], 
     ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "R"}], 
      "\[Equilibrium]", "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", 
      "\[Equilibrium]", 
      RowBox[{"2", "R"}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.491218992272147*^9, 3.4912190005086184`*^9}, {
  3.4912190360956535`*^9, 3.4912192515009747`*^9}, {3.491220648827897*^9, 
  3.4912206684540195`*^9}}],

Cell[BoxData[
 RowBox[{"fhj", "[", "plasson", "]"}]], "Input",
 CellChangeTimes->{{3.4912192608385086`*^9, 3.4912192626216106`*^9}, {
  3.4931112484696445`*^9, 3.493111249061678*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"ReactionsData", "[", 
    RowBox[{"plasson", ",", "\"\<reactionsteps\>\""}], "]"}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Riffle", "[", 
       RowBox[{
        RowBox[{"Range", "[", "12", "]"}], ",", 
        RowBox[{"Range", "[", "12", "]"}]}], "]"}], ",", "None"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.491219422275742*^9, 3.491219428799115*^9}, {
  3.491220880658157*^9, 3.4912209018853707`*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Delta]", "=", "5", " "}], TraditionalForm]]],
 " and there are no circuits \[DoubleLongRightArrow] five restrictions: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["K", "1"], 
      SubscriptBox["K", "2"]}], "=", 
     SubscriptBox["K", "6"]}], ",", " ", 
    RowBox[{
     SubscriptBox["K", "5"], "=", 
     RowBox[{
      SubscriptBox["K", "4"], 
      SubscriptBox["K", "7"]}]}], ",", " ", 
    RowBox[{
     SubscriptBox["K", "6"], "=", 
     RowBox[{
      SubscriptBox["K", "8"], 
      SubscriptBox["K", "9"]}]}], ",", 
    RowBox[{
     SubscriptBox["K", "7"], "=", 
     RowBox[{
      SubscriptBox["K", "10"], 
      SubscriptBox["K", "11"]}]}], ",", 
    RowBox[{
     RowBox[{
      SubscriptBox["K", "2"], 
      SubscriptBox["K", "8"], 
      SubscriptBox["K", "10"], 
      SubscriptBox["K", "12"]}], "=", 
     RowBox[{
      SubscriptBox["K", "4"], 
      SubscriptBox["K", "6"], 
      RowBox[{
       SubscriptBox["K", "7"], ".", " "}]}]}]}], TraditionalForm]]],
 "\nSymmetry added (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["K", "i"], "=", 
    SubscriptBox["K", 
     RowBox[{"13", "-", "i"}]]}], TraditionalForm]]],
 "):",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", Cell[TextData[{
     Cell[BoxData[
      FormBox[
       RowBox[{
        RowBox[{
         RowBox[{
          SubscriptBox["K", "1"], 
          SubscriptBox["K", "2"]}], "=", 
         SubscriptBox["K", "6"]}], ",", 
        RowBox[{
         SubscriptBox["K", "3"], "=", 
         RowBox[{
          SubscriptBox["K", "4"], "=", "1"}]}]}], TraditionalForm]]],
     "."
    }]]}], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{
  3.493110156398181*^9, {3.493110220351839*^9, 3.493110245088254*^9}, 
   3.4931104605125756`*^9, {3.4931105312156196`*^9, 3.493110577590272*^9}, {
   3.4931106128482885`*^9, 3.493110642828004*^9}, {3.4931111908823504`*^9, 
   3.493111211072505*^9}, {3.493111278304351*^9, 3.4931113169295597`*^9}}],

Cell[BoxData[
 RowBox[{"ReactionsData", "[", 
  RowBox[{"plasson", ",", "\"\<species\>\"", ",", "\"\<reactionsteps\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4918235285717793`*^9, 3.4918235310029182`*^9}, {
  3.491823604681133*^9, 3.491823637919034*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plasson et al. ", "Subsubsection",
 CellChangeTimes->{{3.491218978414355*^9, 3.4912189886329393`*^9}, {
   3.4912851136090717`*^9, 3.491285123177619*^9}, 3.4931113354686203`*^9}],

Cell["No transformations are needed.", "Text",
 CellChangeTimes->{{3.491219007813036*^9, 3.4912190320014195`*^9}, {
  3.4912851324551497`*^9, 3.4912851364663787`*^9}, {3.493112866742195*^9, 
  3.493112880252968*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plassonPNAS", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "S", "\[ShortRightArrow]", 
      "\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\""}], ",", " ", 
     RowBox[{
     "R", "\[ShortRightArrow]", 
      "\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\""}], ",", 
     RowBox[{
     "\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "\[ShortRightArrow]", 
      "S"}], ",", 
     RowBox[{
     "\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "\[ShortRightArrow]", 
      "R"}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "S"}], 
      "\[ShortRightArrow]", "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\""}], 
     ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "S"}], 
      "\[ShortRightArrow]", "RS"}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "R"}], 
      "\[ShortRightArrow]", "SR"}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "R"}], 
      "\[ShortRightArrow]", "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{"RS", "\[ShortRightArrow]", 
      RowBox[{"R", "+", "S"}]}], ",", 
     RowBox[{"SR", "\[ShortRightArrow]", 
      RowBox[{"R", "+", "S"}]}], ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
     "SR", "\[ShortRightArrow]", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      "SR"}], ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      "RS"}], ",", 
     RowBox[{
     "RS", "\[ShortRightArrow]", 
      "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\""}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.491218992272147*^9, 3.4912190005086184`*^9}, {
   3.4912190360956535`*^9, 3.4912192515009747`*^9}, {3.491220648827897*^9, 
   3.4912206684540195`*^9}, {3.4912851475570135`*^9, 3.491285215373892*^9}, {
   3.49128526166654*^9, 3.4912856659686646`*^9}, 3.4912858012934046`*^9}],

Cell["The reversible closure (see Lente G.) is", "Text",
 CellChangeTimes->{{3.491286046088406*^9, 3.49128607938031*^9}, {
  3.4912861836552744`*^9, 3.4912861935018377`*^9}, {3.4931128847102222`*^9, 
  3.493112907684537*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"plassonPNASREV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "S", "\[Equilibrium]", "\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\""}], 
     ",", " ", 
     RowBox[{
     "R", "\[Equilibrium]", "\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\""}], 
     ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "S"}], 
      "\[Equilibrium]", "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\""}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "S"}], 
      "\[Equilibrium]", "RS"}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(S\), \(*\)]\)\>\"", "+", "R"}], 
      "\[Equilibrium]", "SR"}], ",", 
     RowBox[{
      RowBox[{"\"\<\!\(\*SuperscriptBox[\(R\), \(*\)]\)\>\"", "+", "R"}], 
      "\[Equilibrium]", "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[Equilibrium]", 
      RowBox[{"2", "S"}]}], ",", 
     RowBox[{"RS", "\[Equilibrium]", 
      RowBox[{"R", "+", "S"}]}], ",", 
     RowBox[{"SR", "\[Equilibrium]", 
      RowBox[{"R", "+", "S"}]}], ",", 
     RowBox[{"\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "\[Equilibrium]", 
      RowBox[{"2", "R"}]}], ",", 
     RowBox[{
     "SR", "\[ShortRightArrow]", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\""}], ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(R\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      "SR"}], ",", 
     RowBox[{
     "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\"", "\[ShortRightArrow]", 
      "RS"}], ",", 
     RowBox[{
     "RS", "\[ShortRightArrow]", 
      "\"\<\!\(\*SubscriptBox[\(S\), \(2\)]\)\>\""}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.491218992272147*^9, 3.4912190005086184`*^9}, {
   3.4912190360956535`*^9, 3.4912192515009747`*^9}, {3.491220648827897*^9, 
   3.4912206684540195`*^9}, {3.4912851475570135`*^9, 3.491285215373892*^9}, {
   3.49128526166654*^9, 3.4912856659686646`*^9}, 3.49128571834766*^9, {
   3.4912861354335165`*^9, 3.491286136249563*^9}, {3.4912861992351656`*^9, 
   3.4912862717453127`*^9}, 3.491286381382584*^9}],

Cell[BoxData[
 RowBox[{"fhj", "[", "plassonPNASREV", "]"}]], "Input",
 CellChangeTimes->{{3.4912192608385086`*^9, 3.4912192626216106`*^9}, {
  3.491285236719113*^9, 3.491285238054189*^9}, {3.4912856745401545`*^9, 
  3.4912856807555103`*^9}, {3.491286279328747*^9, 3.4912862797627716`*^9}, {
  3.4931129134858685`*^9, 3.493112914149906*^9}}],

Cell["The two models are the same:", "Text",
 CellChangeTimes->{{3.4912865897335005`*^9, 3.4912866105686927`*^9}, {
  3.493112927380663*^9, 3.493112935444124*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Sort", "[", 
   RowBox[{"ReactionsData", "[", 
    RowBox[{"plasson", ",", "\"\<reactionsteps\>\""}], "]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"Sort", "[", 
   RowBox[{"ReactionsData", "[", 
    RowBox[{"plassonPNASREV", ",", "\"\<reactionsteps\>\""}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.491286430722406*^9, 3.4912865781518383`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simulating the usual stochastic model", "Section",
 CellChangeTimes->{{3.50030525485594*^9, 3.5003052643514833`*^9}}],

Cell[BoxData[
 RowBox[{"SimulationPlot", "[", 
  RowBox[{
   RowBox[{"{", "frank3", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"1100", ",", "1000"}], "}"}], ",", "10", ",", 
   RowBox[{"Verbose", "\[Rule]", "True"}], ",", 
   RowBox[{"ExternalSpecies", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"A", ",", "B"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.5003135967960715`*^9, 3.5003136700782633`*^9}, {
  3.5003137963164835`*^9, 3.5003137993566575`*^9}, {3.50031387439695*^9, 
  3.5003138969702406`*^9}, {3.5003139436539106`*^9, 3.5003139443649516`*^9}, {
  3.500314501471816*^9, 3.500314504177971*^9}, {3.5003145541868315`*^9, 
  3.5003146122161503`*^9}, {3.5003153615090075`*^9, 3.500315362567068*^9}}],

Cell[CellGroupData[{

Cell["Detailed balance in stochastic models", "Subsection",
 CellChangeTimes->{{3.500310029569038*^9, 3.5003100352593637`*^9}}],

Cell["\<\
Does it behave in the same way if time is reversed? Statistical tests.\
\>", "Text",
 CellChangeTimes->{{3.500310029569038*^9, 3.500310041215704*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Discussion and outlook", "Section",
 CellChangeTimes->{{3.5003095880107822`*^9, 3.5003096024126062`*^9}}],

Cell[CellGroupData[{

Cell["Other biological applications: ", "Subsection",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.500309692129738*^9}}],

Cell[CellGroupData[{

Cell["absolute robustness, ", "Item",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.5003097070035887`*^9}}],

Cell["models of ion channels, ", "Item",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.5003097000401897`*^9}}],

Cell["transport of materials in living beings, ", "Item",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.5003097037013993`*^9}}],

Cell["drug design,", "Item",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.5003097037013993`*^9}, {
  3.5003097444507303`*^9, 3.500309745160771*^9}}],

Cell["decomposition of overall reactions etc.", "Item",
 CellChangeTimes->{{3.5003096071188755`*^9, 3.5003097037013993`*^9}, {
   3.5003097444507303`*^9, 3.5003097536142545`*^9}, 3.5003150076677685`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Missing & needed", "Subsection",
 CellChangeTimes->{{3.500309763623827*^9, 3.500309773553395*^9}}],

Cell[CellGroupData[{

Cell["fitting to standards (SBML, CHEMKIN, PrIme etc.)", "Item",
 CellChangeTimes->{{3.5003097897593217`*^9, 3.5003098514608507`*^9}}],

Cell["spatially inhomogeneous sytems (e.g. Turing structures)", "Item",
 CellChangeTimes->{{3.5003098569821663`*^9, 3.5003098801464915`*^9}}]
}, Open  ]]
}, Open  ]],

Cell["Applications outside biology: e.g. combustion", "Subsection",
 CellChangeTimes->{{3.500309800896959*^9, 3.500309818489965*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "Section",
 CellChangeTimes->{{3.5003095817974267`*^9, 3.500309585999667*^9}}],

Cell[TextData[{
 "Barab\[AAcute]s,\[NonBreakingSpace] B.;\[NonBreakingSpace] T\[OAcute]th,\
\[NonBreakingSpace] J.;\[NonBreakingSpace] P\[AAcute]lyi,\[NonBreakingSpace] \
G.:\[NonBreakingSpace] Stochastic\[NonBreakingSpace] aspects\
\[NonBreakingSpace] of\[NonBreakingSpace] asymmetric\[NonBreakingSpace] \
autocatalysis\[NonBreakingSpace] and\[NonBreakingSpace] absolute\
\[NonBreakingSpace]\nasymmetric\[NonBreakingSpace]synthesis,\
\[NonBreakingSpace]",
 StyleBox["\[NonBreakingSpace]J.\[NonBreakingSpace]Math.\[NonBreakingSpace]\
Chem",
  FontSlant->"Italic"],
 ".\[NonBreakingSpace]",
 StyleBox["48",
  FontWeight->"Bold"],
 "\[NonBreakingSpace](2)\[NonBreakingSpace](2010),\[NonBreakingSpace]457\
\[Dash]489.\[NonBreakingSpace]"
}], "Text",
 CellChangeTimes->{
  3.5003044821647444`*^9, 3.5003045776522064`*^9, {3.5003046349524837`*^9, 
   3.5003046550796347`*^9}}],

Cell[TextData[{
 "Blackmond, D.: \"If Pigs Could Fly\[CloseCurlyDoubleQuote] Chemistry: A \
Tutorial on the Principle of Microscopic Reversibility, ",
 StyleBox["Angew. Chem. Int. Ed. ",
  FontSlant->"Italic"],
 StyleBox["48 ",
  FontWeight->"Bold"],
 "(15):2648\[Dash]2654, 2009."
}], "Text",
 CellChangeTimes->{{3.492670728060318*^9, 3.492670729775416*^9}, {
  3.49267184861241*^9, 3.4926718617721624`*^9}, {3.4926719873283443`*^9, 
  3.492672009217596*^9}, {3.492672104700057*^9, 3.492672107800235*^9}, {
  3.4927907546724477`*^9, 3.492790764867031*^9}, {3.492790829907751*^9, 
  3.4927909159586725`*^9}, {3.492791058458823*^9, 3.492791059747897*^9}, {
  3.493105060732726*^9, 3.493105067644121*^9}}],

Cell[TextData[{
 "Blackmond, D.: Challenging the concept of \"recycling\
\[CloseCurlyDoubleQuote] as a mechanism for the evolution of homochirality in \
chemical reactions, ",
 StyleBox["Chirality ",
  FontSlant->"Italic"],
 StyleBox["21",
  FontWeight->"Bold"],
 ":359\[Dash]362, 2009."
}], "Text",
 CellChangeTimes->{{3.492670728060318*^9, 3.492670729775416*^9}, {
   3.49267184861241*^9, 3.4926718617721624`*^9}, {3.4926719873283443`*^9, 
   3.492672009217596*^9}, {3.492672104700057*^9, 3.492672107800235*^9}, {
   3.4927907546724477`*^9, 3.492790764867031*^9}, {3.492790829907751*^9, 
   3.4927909159586725`*^9}, {3.492791058458823*^9, 3.492791059747897*^9}, {
   3.492792149600233*^9, 3.4927922493589387`*^9}, 3.493105071052316*^9}],

Cell[TextData[{
 "Boyd, R. K.: Macroscopic and microscopic restrictions on chemical kinetics, \
",
 StyleBox["Chemical Reviews",
  FontSlant->"Italic"],
 " ",
 StyleBox["77",
  FontWeight->"Bold"],
 "(1):93\[Dash]119, 1974."
}], "Text",
 CellChangeTimes->{{3.492792944550701*^9, 3.492793033477788*^9}}],

Cell[TextData[{
 "Feinberg, M.: Necessary and su\.1ecient conditions for detailed balancing \
in mass action systems of arbitrary complexity. ",
 StyleBox["Chemical Engineering Science",
  FontSlant->"Italic"],
 " ",
 StyleBox["44",
  FontWeight->"Bold"],
 ":1819\[Dash]1827, 1989."
}], "Text",
 CellChangeTimes->{
  3.492671438665962*^9, {3.492790767887203*^9, 3.492790771448407*^9}, {
   3.4927908946454535`*^9, 3.492790951106683*^9}, {3.4927910640621433`*^9, 
   3.49279106627227*^9}}],

Cell[TextData[{
 "Fowler, R. H. and Milne, E. A.: A note on the principle of detailed \
balancing, ",
 StyleBox["Proc. Nat. Acad. Amer.",
  FontSlant->"Italic"],
 " ",
 StyleBox["11",
  FontWeight->"Bold"],
 ":400\[Dash]402, 1925."
}], "Text",
 CellChangeTimes->{{3.4931077773751087`*^9, 3.493107853836482*^9}, {
  3.4931079167080784`*^9, 3.493107917852144*^9}}],

Cell[TextData[{
 "Gold, V.; Loening, K. L.; McNaught, A. D.; Shemi, P.: ",
 StyleBox["IUPAC Compendium of Chemical Terminology",
  FontSlant->"Italic"],
 ", Blackwell Science Oxford, 2nd. ed., 1997."
}], "Text",
 CellChangeTimes->{3.493106773684701*^9}],

Cell[TextData[{
 "Kolmogoroff, A.:  Zur Umkehrbarkeit der statistischen Naturgesetze, ",
 StyleBox["Mathematische Annalen",
  FontSlant->"Italic"],
 " ",
 StyleBox["113",
  FontWeight->"Bold"],
 ":766\[Dash]772, 1936."
}], "Text",
 CellChangeTimes->{
  3.49267141012333*^9, {3.492671814672469*^9, 3.4926718151204944`*^9}, 
   3.492790775849659*^9, {3.492790954449874*^9, 3.4927910009905357`*^9}, {
   3.4927910688684187`*^9, 3.4927910701044893`*^9}, {3.493105076315617*^9, 
   3.493105076524629*^9}}],

Cell[TextData[{
 "Lente, G.: Thermodynamic unfeasibilty of recycling in chiral autocatalytic \
kinetic models,  ",
 StyleBox["React. Kinet. Catal. Lett.",
  FontSlant->"Italic"],
 "  ",
 StyleBox["95",
  FontWeight->"Bold"],
 " (1):13\[Dash]19, 2008."
}], "Text",
 CellChangeTimes->{{3.4926707341156645`*^9, 3.492670735135723*^9}, {
  3.492672114622625*^9, 3.4926721174867887`*^9}, {3.492792838097613*^9, 
  3.4927929159450655`*^9}}],

Cell[TextData[{
 "Nagy, I.; Kov\[AAcute]cs, B. and T\[OAcute]th, J.: Detailed balance in ion \
channels: Applications of Feinberg\[CloseCurlyQuote]s theorem, ",
 StyleBox["React. Kinet. Catal. Lett.",
  FontSlant->"Italic"],
 " ",
 StyleBox["96",
  FontWeight->"Bold"],
 "(2):263\[Dash]267, 2009."
}], "Text",
 CellChangeTimes->{
  3.492671396345542*^9, {3.4927907829830666`*^9, 3.4927907989769816`*^9}, {
   3.4927909584131007`*^9, 3.492790960509221*^9}, {3.492791012038168*^9, 
   3.4927910483432446`*^9}}],

Cell[TextData[{
 "Plasson, R. nad Bersini, H.: Energetic and Entropic Analysis of Mirror \
Symmetry Breaking Processes in a Recycled Microreversible Chemical System, ",
 StyleBox["J. Phys. Chem. B",
  FontSlant->"Italic"],
 " ",
 StyleBox["113",
  FontWeight->"Bold"],
 ":3477\[Dash]3490, 2009."
}], "Text",
 CellChangeTimes->{{3.4926707397679873`*^9, 3.4926707410730624`*^9}, {
   3.493105083268015*^9, 3.493105083580033*^9}, {3.4931052474554057`*^9, 
   3.4931053687483435`*^9}, 3.5003125250477715`*^9}],

Cell[TextData[{
 "Sipos, T.; T\[OAcute]th, J.; \[CapitalEAcute]rdi, P.: Stochastic simulation \
of complex chemical reactions by digital computer, I. The model, ",
 StyleBox["Reaction Kinetics and Catalysis Letters",
  FontSlant->"Italic"],
 " ",
 StyleBox["1",
  FontWeight->"Bold"],
 "(1):113\[Dash]117, 1974."
}], "Text",
 CellChangeTimes->{
  3.49279126278651*^9, {3.492791413272117*^9, 3.4927914375855083`*^9}, {
   3.4927914699373584`*^9, 3.492791478377841*^9}, 3.5003125265858593`*^9}],

Cell[TextData[{
 "T\[OAcute]th, J.: Formal Kinetics with Applications, ",
 StyleBox["6th World Multiconference on Systemics, Cybernetics and \
Informatics",
  FontSlant->"Italic"],
 " (July 14-18, 2002, Orlando, FL, USA), Vol. XI (Computer Science II) (N. \
Callaos, M. Morgenstern and B. Sanchez eds.), pp. 573\[Dash]576."
}], "Text",
 CellChangeTimes->{
  3.492791350639535*^9, {3.492791416256288*^9, 3.492791416611308*^9}, 
   3.500312528640977*^9}],

Cell[TextData[{
 "T\[OAcute]th, J.; Rospars, J.-P.: Dynamic modelling of biochemical \
reactions with applications to signal transduction: Principles and tools \
using ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", ",
 StyleBox["BioSystems,",
  FontSlant->"Italic"],
 " ",
 StyleBox["79",
  FontWeight->"Bold"],
 ":33\[Dash]52, 2005."
}], "Text",
 CellChangeTimes->{
  3.4927912909891233`*^9, {3.492791418888438*^9, 3.4927914639250145`*^9}, 
   3.49310540837261*^9, 3.5003125312351255`*^9}],

Cell[TextData[{
 "T\[OAcute]th,\[NonBreakingSpace]J.;\[NonBreakingSpace]Szili,\
\[NonBreakingSpace]L.;\[NonBreakingSpace]Zach\[AAcute]r,\[NonBreakingSpace]A.:\
\[NonBreakingSpace]Stability\[NonBreakingSpace]of\[NonBreakingSpace]\
polynomials,\[NonBreakingSpace]",
 StyleBox["Mathematica\[NonBreakingSpace]in\[NonBreakingSpace]Education\
\[NonBreakingSpace]and\[NonBreakingSpace]Research",
  FontSlant->"Italic"],
 "\[NonBreakingSpace]",
 StyleBox["7",
  FontWeight->"Bold"],
 "\[NonBreakingSpace](2)\[NonBreakingSpace](1998),\[NonBreakingSpace]5\[Dash]\
12.\[NonBreakingSpace]\[NonBreakingSpace]"
}], "Text",
 CellChangeTimes->{
  3.5003044821647444`*^9, 3.5003045776522064`*^9, {3.5003046349524837`*^9, 
   3.5003046502593594`*^9}, 3.500312534694323*^9}],

Cell[TextData[{
 "Wegscheider, R.: \[CapitalUDoubleDot]ber simultane Gleichgewichte und die \
Beziehungen zwischen Thermodynamik und Reaktionskinetik homogener Systeme, ",
 StyleBox["Zsch. phys. Chemie",
  FontSlant->"Italic"],
 " ",
 StyleBox["39",
  FontWeight->"Bold"],
 ":257\[Dash]303, 1901/2."
}], "Text",
 CellChangeTimes->{
  3.49267135837337*^9, {3.49279080383626*^9, 3.492790806365404*^9}, {
   3.492790964203432*^9, 3.492790964986477*^9}, {3.4927910742567267`*^9, 
   3.4927910923917637`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzsvb+LU/v7Pfq53Or+F/cNn+Jz4FMonELhNGfAwgELBywcsPAbppAgFwkW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    "], {{0, 265}, {190, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag[
   "Byte", ColorSpace -> "RGB", ImageSize -> Automatic, Interleaving -> True, 
    Magnification -> Automatic],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{190, 265},
  PlotRange->{{0, 190}, {0, 265}}]], "Input",
 CellChangeTimes->{{3.500315019799463*^9, 3.5003150244617295`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1008, 633},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "PastelColor.nb", 
  CharacterEncoding -> "WindowsEastEurope"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 347, 6, 73, "Title"],
Cell[917, 30, 532, 10, 66, "Subtitle"],
Cell[1452, 42, 178, 2, 29, "Subsubtitle"],
Cell[1633, 46, 313, 8, 101, "Text"],
Cell[1949, 56, 109, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[2083, 61, 184, 2, 29, "Subsubtitle"],
Cell[2270, 65, 2664, 40, 137, "Text"],
Cell[CellGroupData[{
Cell[4959, 109, 98, 1, 75, "Section"],
Cell[5060, 112, 168, 3, 29, "Text"],
Cell[5231, 117, 30700, 509, 161, "Input"],
Cell[35934, 628, 3628, 65, 221, "Input"],
Cell[39565, 695, 494, 13, 65, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40096, 713, 207, 4, 75, "Section"],
Cell[CellGroupData[{
Cell[40328, 721, 98, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[40451, 726, 419, 7, 27, "Subsubsection"],
Cell[40873, 735, 403, 8, 27, "DisplayFormulaNumbered"],
Cell[41279, 745, 1018, 34, 27, "DisplayFormulaNumbered"],
Cell[42300, 781, 483, 11, 27, "DisplayFormulaNumbered"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42820, 797, 371, 5, 27, "Subsubsection"],
Cell[43194, 804, 385, 10, 27, "DisplayFormulaNumbered"],
Cell[43582, 816, 1169, 37, 36, "DisplayFormulaNumbered"],
Cell[44754, 855, 635, 21, 27, "DisplayFormulaNumbered"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45426, 881, 548, 8, 27, "Subsubsection"],
Cell[45977, 891, 530, 12, 27, "DisplayFormulaNumbered"],
Cell[46510, 905, 1169, 37, 36, "DisplayFormulaNumbered"],
Cell[47682, 944, 895, 28, 27, "DisplayFormulaNumbered"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[48626, 978, 211, 3, 36, "Subsection"],
Cell[48840, 983, 975, 35, 48, "DisplayFormulaNumbered"],
Cell[49818, 1020, 1331, 47, 70, "DisplayFormulaNumbered"],
Cell[51152, 1069, 142, 2, 29, "Text"],
Cell[51297, 1073, 615, 20, 26, "DisplayFormula"],
Cell[51915, 1095, 354, 9, 29, "Text"],
Cell[52272, 1106, 585, 22, 27, "DisplayFormulaNumbered"],
Cell[52860, 1130, 202, 3, 29, "Text"],
Cell[53065, 1135, 2222, 81, 75, "DisplayFormulaNumbered"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55324, 1221, 159, 2, 36, "Subsection"],
Cell[55486, 1225, 799, 21, 70, "Code"],
Cell[56288, 1248, 293, 5, 29, "Text"],
Cell[56584, 1255, 654, 19, 58, "Code"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57275, 1279, 118, 1, 36, "Subsection"],
Cell[57396, 1282, 248, 4, 41, "Input"],
Cell[57647, 1288, 214, 3, 41, "Input"],
Cell[57864, 1293, 439, 13, 41, "Input"],
Cell[CellGroupData[{
Cell[58328, 1310, 62, 0, 27, "Subsubsection"],
Cell[58393, 1312, 434, 9, 41, "Input"],
Cell[58830, 1323, 288, 7, 41, "Input"],
Cell[59121, 1332, 374, 9, 41, "Input"],
Cell[59498, 1343, 270, 7, 41, "Input"],
Cell[59771, 1352, 349, 9, 38, "Input"],
Cell[60123, 1363, 741, 17, 41, "Input"],
Cell[60867, 1382, 589, 14, 41, "Input"],
Cell[61459, 1398, 1129, 30, 86, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[62637, 1434, 108, 1, 36, "Subsection"],
Cell[62748, 1437, 491, 9, 47, "Text"],
Cell[63242, 1448, 257, 7, 29, "Text"],
Cell[63502, 1457, 168, 3, 29, "Text"],
Cell[63673, 1462, 478, 8, 47, "Text"],
Cell[64154, 1472, 427, 7, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64618, 1484, 289, 6, 36, "Subsection"],
Cell[64910, 1492, 255, 3, 29, "Text"],
Cell[65168, 1497, 284, 4, 29, "Text"],
Cell[65455, 1503, 1031, 36, 48, "DisplayFormulaNumbered"],
Cell[66489, 1541, 505, 14, 29, "Text"],
Cell[66997, 1557, 179, 4, 29, "Text"],
Cell[CellGroupData[{
Cell[67201, 1565, 224, 4, 27, "Subsubsection"],
Cell[67428, 1571, 619, 15, 82, "Input"],
Cell[68050, 1588, 390, 9, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68477, 1602, 218, 4, 27, "Subsubsection"],
Cell[68698, 1608, 751, 22, 62, "Input"],
Cell[69452, 1632, 403, 7, 29, "Text"],
Cell[69858, 1641, 451, 9, 29, "Text"],
Cell[70312, 1652, 625, 19, 43, "Text"],
Cell[70940, 1673, 1330, 43, 97, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72307, 1721, 103, 1, 27, "Subsubsection"],
Cell[72413, 1724, 782, 23, 62, "Input"],
Cell[73198, 1749, 403, 7, 29, "Text"],
Cell[73604, 1758, 451, 9, 29, "Text"],
Cell[74058, 1769, 741, 23, 29, "Text"],
Cell[74802, 1794, 261, 5, 29, "Text"],
Cell[75066, 1801, 531, 11, 47, "Text"],
Cell[75600, 1814, 305, 6, 29, "Text"],
Cell[75908, 1822, 293, 6, 29, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[76250, 1834, 130, 1, 36, "Subsection"],
Cell[76383, 1837, 199, 5, 29, "Text"],
Cell[76585, 1844, 380, 7, 47, "Text"],
Cell[76968, 1853, 244, 5, 29, "Text"],
Cell[77215, 1860, 251, 5, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77503, 1870, 129, 1, 36, "Subsection"],
Cell[77635, 1873, 447, 7, 47, "Text"],
Cell[78085, 1882, 496, 10, 41, "Input"],
Cell[78584, 1894, 240, 4, 41, "Input"],
Cell[78827, 1900, 226, 6, 29, "Text"],
Cell[CellGroupData[{
Cell[79078, 1910, 501, 7, 27, "Subsubsection"],
Cell[79582, 1919, 840, 18, 41, "Input"],
Cell[80425, 1939, 237, 5, 41, "Input"],
Cell[80665, 1946, 331, 5, 41, "Input"],
Cell[80999, 1953, 640, 19, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81676, 1977, 202, 3, 27, "Subsubsection"],
Cell[81881, 1982, 545, 15, 41, "Input"],
Cell[82429, 1999, 229, 4, 41, "Input"],
Cell[82661, 2005, 286, 6, 41, "Input"],
Cell[82950, 2013, 226, 6, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83213, 2024, 149, 2, 27, "Subsubsection"],
Cell[83365, 2028, 493, 15, 41, "Input"],
Cell[83861, 2045, 209, 3, 41, "Input"],
Cell[84073, 2050, 479, 15, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84589, 2070, 199, 3, 27, "Subsubsection"],
Cell[84791, 2075, 586, 16, 41, "Input"],
Cell[85380, 2093, 209, 3, 41, "Input"],
Cell[85592, 2098, 211, 4, 41, "Input"],
Cell[85806, 2104, 1035, 34, 49, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86878, 2143, 565, 7, 27, "Subsubsection"],
Cell[87446, 2152, 1017, 24, 41, "Input"],
Cell[88466, 2178, 212, 4, 41, "Input"],
Cell[88681, 2184, 386, 6, 41, "Input"],
Cell[89070, 2192, 668, 19, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89775, 2216, 169, 2, 27, "Subsubsection"],
Cell[89947, 2220, 415, 13, 41, "Input"],
Cell[90365, 2235, 183, 3, 41, "Input"],
Cell[90551, 2240, 305, 8, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90893, 2253, 181, 2, 27, "Subsubsection"],
Cell[91077, 2257, 538, 16, 41, "Input"],
Cell[91618, 2275, 227, 4, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91882, 2284, 161, 2, 27, "Subsubsection"],
Cell[92046, 2288, 447, 14, 41, "Input"],
Cell[92496, 2304, 185, 3, 41, "Input"],
Cell[92684, 2309, 256, 7, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92977, 2321, 206, 3, 27, "Subsubsection"],
Cell[93186, 2326, 957, 23, 41, "Input"],
Cell[94146, 2351, 182, 3, 41, "Input"],
Cell[94331, 2356, 256, 7, 29, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94624, 2368, 250, 3, 27, "Subsubsection"],
Cell[94877, 2373, 767, 23, 41, "Input"],
Cell[95647, 2398, 182, 3, 41, "Input"],
Cell[95832, 2403, 637, 17, 47, "Text"],
Cell[96472, 2422, 233, 3, 29, "Text"],
Cell[96708, 2427, 348, 7, 41, "Input"],
Cell[97059, 2436, 336, 10, 41, "Input"],
Cell[97398, 2448, 502, 15, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[97937, 2468, 303, 4, 27, "Subsubsection"],
Cell[98243, 2474, 752, 19, 41, "Input"],
Cell[98998, 2495, 180, 3, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99215, 2503, 363, 5, 27, "Subsubsection"],
Cell[99581, 2510, 728, 19, 57, "Input"],
Cell[100312, 2531, 223, 4, 41, "Input"],
Cell[100538, 2537, 756, 19, 69, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101331, 2561, 134, 2, 27, "Subsubsection"],
Cell[101468, 2565, 642, 17, 41, "Input"],
Cell[102113, 2584, 233, 4, 41, "Input"],
Cell[102349, 2590, 1023, 33, 47, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103409, 2628, 134, 2, 27, "Subsubsection"],
Cell[103546, 2632, 158, 2, 29, "Text"],
Cell[103707, 2636, 1478, 37, 65, "Input"],
Cell[105188, 2675, 183, 3, 41, "Input"],
Cell[105374, 2680, 536, 14, 41, "Input"],
Cell[105913, 2696, 2032, 69, 47, "Text"],
Cell[107948, 2767, 261, 5, 41, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[108246, 2777, 184, 2, 27, "Subsubsection"],
Cell[108433, 2781, 216, 3, 29, "Text"],
Cell[108652, 2786, 2324, 57, 65, "Input"],
Cell[110979, 2845, 225, 3, 29, "Text"],
Cell[111207, 2850, 2174, 50, 65, "Input"],
Cell[113384, 2902, 340, 5, 41, "Input"],
Cell[113727, 2909, 163, 2, 29, "Text"],
Cell[113893, 2913, 384, 10, 41, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[114338, 2930, 123, 1, 75, "Section"],
Cell[114464, 2933, 815, 17, 41, "Input"],
Cell[CellGroupData[{
Cell[115304, 2954, 127, 1, 36, "Subsection"],
Cell[115434, 2957, 160, 3, 29, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[115643, 2966, 111, 1, 75, "Section"],
Cell[CellGroupData[{
Cell[115779, 2971, 121, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[115925, 2976, 107, 1, 29, "Item"],
Cell[116035, 2979, 110, 1, 29, "Item"],
Cell[116148, 2982, 127, 1, 29, "Item"],
Cell[116278, 2985, 149, 2, 29, "Item"],
Cell[116430, 2989, 203, 2, 29, "Item"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[116682, 2997, 104, 1, 36, "Subsection"],
Cell[CellGroupData[{
Cell[116811, 3002, 134, 1, 29, "Item"],
Cell[116948, 3005, 141, 1, 29, "Item"]
}, Open  ]]
}, Open  ]],
Cell[117116, 3010, 133, 1, 36, "Subsection"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117286, 3016, 97, 1, 75, "Section"],
Cell[117386, 3019, 871, 19, 47, "Text"],
Cell[118260, 3040, 703, 14, 29, "Text"],
Cell[118966, 3056, 738, 15, 29, "Text"],
Cell[119707, 3073, 302, 10, 29, "Text"],
Cell[120012, 3085, 488, 13, 47, "Text"],
Cell[120503, 3100, 362, 11, 29, "Text"],
Cell[120868, 3113, 253, 6, 29, "Text"],
Cell[121124, 3121, 500, 13, 29, "Text"],
Cell[121627, 3136, 433, 12, 29, "Text"],
Cell[122063, 3150, 508, 13, 29, "Text"],
Cell[122574, 3165, 505, 12, 47, "Text"],
Cell[123082, 3179, 492, 12, 47, "Text"],
Cell[123577, 3193, 452, 10, 47, "Text"],
Cell[124032, 3205, 499, 16, 47, "Text"],
Cell[124534, 3223, 755, 16, 29, "Text"],
Cell[125292, 3241, 504, 13, 47, "Text"],
Cell[125799, 3256, 53200, 878, 290, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
